# std::set<Key,Compare,Allocator>::value_comp

From cppreference.com
< cpp‎ | container‎ | set

std::set::value_compare value_comp() const; |  |

Returns the function object that compares the values. It is the same as key_comp.

### Parameters

(none)

### Return value

The value comparison function object.

### Complexity

Constant.

### See also

key_comp | returns the function that compares keys (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/set/value_comp&oldid=50666"